<html>
<head>
<title>OGRE: Ogre::CompositionPass Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a></div>
<h1>Ogre::CompositionPass Class Reference</h1><!-- doxytag: class="Ogre::CompositionPass" -->Object representing one pass or operation in a composition sequence.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositionPass-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a> { <a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aaa7d4ed28ab9cdd43e85a715bd4e068fc">PT_CLEAR</a>, 
<a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa43301dad285fba17915d7867665597ab">PT_STENCIL</a>, 
<a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aac8aa60611671e1b8867c1a30775ba84c">PT_RENDERSCENE</a>, 
<a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa39b1d2658f5c73b04755e428316ea366">PT_RENDERQUAD</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enumeration that enumerates the various composition pass types.  <a href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#5b5540cb8dc10175dc30c3947032013c">CompositionPass</a> (<a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *parent)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#b8fc137845790b360d57056621cd1061">~CompositionPass</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#8b0e3dcfccbdcc9672a96ae6dc2c0123">setType</a> (<a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a> type)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the type of composition pass.  <a href="#8b0e3dcfccbdcc9672a96ae6dc2c0123"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#ee39093cea27c4fba2dd56dc57b44fa7">getType</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the type of composition pass.  <a href="#ee39093cea27c4fba2dd56dc57b44fa7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#56bb1d899a43195712944398e2d1bc65">setIdentifier</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> id)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set an identifier for this pass.  <a href="#56bb1d899a43195712944398e2d1bc65"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#1d4644512ed6fffd5f5ea6573ea1c25f">getIdentifier</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the identifier for this pass.  <a href="#1d4644512ed6fffd5f5ea6573ea1c25f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#21721f49c3b10e36560adff1e563740f">setMaterial</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the material used by this pass.  <a href="#21721f49c3b10e36560adff1e563740f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#453231b980fc04dd9af9f330feec5236">setMaterialName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the material used by this pass.  <a href="#453231b980fc04dd9af9f330feec5236"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#ee07fa6e3183a5e1fcc28b4977780925">getMaterial</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material used by this pass.  <a href="#ee07fa6e3183a5e1fcc28b4977780925"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#4af9e5a958c5ec3a69f8bd797d4c2563">setFirstRenderQueue</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the first render queue to be rendered in this pass (inclusive).  <a href="#4af9e5a958c5ec3a69f8bd797d4c2563"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#ef1d1dd6c8f3fb3fd989c74208023d13">getFirstRenderQueue</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the first render queue to be rendered in this pass (inclusive).  <a href="#ef1d1dd6c8f3fb3fd989c74208023d13"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#193d54ee08e19d538576ca300c30c006">setLastRenderQueue</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the last render queue to be rendered in this pass (inclusive).  <a href="#193d54ee08e19d538576ca300c30c006"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#eb2475995883385f37efdfa28fee1792">getLastRenderQueue</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the last render queue to be rendered in this pass (inclusive).  <a href="#eb2475995883385f37efdfa28fee1792"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#92187a460af36b8ebe0828cf6d81c277">setClearBuffers</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Would be nice to have for RENDERSCENE: flags to: exclude transparents override material (at least -- color).  <a href="#92187a460af36b8ebe0828cf6d81c277"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#1067961f85a369a5d24614b2c4e264bc">getClearBuffers</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the viewport clear buffers.  <a href="#1067961f85a369a5d24614b2c4e264bc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#9ab5aefa39e28d1340c489fcce289da8">setClearColour</a> (<a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the viewport clear colour (defaults to 0,0,0,0).  <a href="#9ab5aefa39e28d1340c489fcce289da8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#e5b0b349ab51c06c224ee49dc74cdf75">getClearColour</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the viewport clear colour (defaults to 0,0,0,0).  <a href="#e5b0b349ab51c06c224ee49dc74cdf75"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#1f0e9945281c6551ab0f21a129270339">setClearDepth</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> depth)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the viewport clear depth (defaults to 1.0).  <a href="#1f0e9945281c6551ab0f21a129270339"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#89d99d94e657687397f952ebea9576ec">getClearDepth</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the viewport clear depth (defaults to 1.0).  <a href="#89d99d94e657687397f952ebea9576ec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#d75218db6dbe9993b5486c9c916efc0c">setClearStencil</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the viewport clear stencil value (defaults to 0).  <a href="#d75218db6dbe9993b5486c9c916efc0c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#debc56c1f9c0e5b17b05563b975aba49">getClearStencil</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the viewport clear stencil value (defaults to 0).  <a href="#debc56c1f9c0e5b17b05563b975aba49"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#f0f6a55176e7c69fda820a5d22a50104">setStencilCheck</a> (bool value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil check on or off.  <a href="#f0f6a55176e7c69fda820a5d22a50104"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#aedd029c6389840546c43a2911e24869">getStencilCheck</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil check enable.  <a href="#aedd029c6389840546c43a2911e24869"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#7d60b3d8f6e47891d8e5373bea31d5bd">setStencilFunc</a> (<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil compare function.  <a href="#7d60b3d8f6e47891d8e5373bea31d5bd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#27ccb6dfe7c8e67d70c3117f1856ed9b">getStencilFunc</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil compare function.  <a href="#27ccb6dfe7c8e67d70c3117f1856ed9b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#1b8cc0c3221bfbc751328cda98c8aff7">setStencilRefValue</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil reference value.  <a href="#1b8cc0c3221bfbc751328cda98c8aff7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#36ae61fc908e904da5bf9062383d342d">getStencilRefValue</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil reference value.  <a href="#36ae61fc908e904da5bf9062383d342d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#052e16876215e11e03bcba8657faf917">setStencilMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil mask.  <a href="#052e16876215e11e03bcba8657faf917"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#0f1708287d35be21ab1784087a5eb414">getStencilMask</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil mask.  <a href="#0f1708287d35be21ab1784087a5eb414"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#d7afd96369d5093b5eb2123f2befed58">setStencilFailOp</a> (<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil fail operation.  <a href="#d7afd96369d5093b5eb2123f2befed58"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#71a08ba57c6a493ac2e616485bda904f">getStencilFailOp</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil fail operation.  <a href="#71a08ba57c6a493ac2e616485bda904f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#e3c196d705b7bf120e0d888b4867dda4">setStencilDepthFailOp</a> (<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil depth fail operation.  <a href="#e3c196d705b7bf120e0d888b4867dda4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#6038ae034a33d903d4e05b60cb19930a">getStencilDepthFailOp</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil depth fail operation.  <a href="#6038ae034a33d903d4e05b60cb19930a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#ff4417885952905fc8230cef47a36756">setStencilPassOp</a> (<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set stencil pass operation.  <a href="#ff4417885952905fc8230cef47a36756"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#e2ef53d2fa33e3aaf06ed1f8e1e30e17">getStencilPassOp</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get stencil pass operation.  <a href="#e2ef53d2fa33e3aaf06ed1f8e1e30e17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#fa3d6c2f5f8e6ba85b7844d2bf433a5f">setStencilTwoSidedOperation</a> (bool value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set two sided stencil operation.  <a href="#fa3d6c2f5f8e6ba85b7844d2bf433a5f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#c4524c140a443b407a462cbb75737389">getStencilTwoSidedOperation</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get two sided stencil operation.  <a href="#c4524c140a443b407a462cbb75737389"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#63f9b80b6e05285919b587ab359ed466">setInput</a> (size_t id, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;input=&quot;&quot;)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set an input local texture.  <a href="#63f9b80b6e05285919b587ab359ed466"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#650f9d72d57d3ca53016326ab11b01e5">getInput</a> (size_t id)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of an input.  <a href="#650f9d72d57d3ca53016326ab11b01e5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#93eefcf727f9967c05b69e84123a2591">getNumInputs</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of inputs used.  <a href="#93eefcf727f9967c05b69e84123a2591"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#05cbca68fbc408dbf755612cfb72707d">clearAllInputs</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear all inputs.  <a href="#05cbca68fbc408dbf755612cfb72707d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#5815c0e9e598fe58d2c7f76be9167976">getParent</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get parent object.  <a href="#5815c0e9e598fe58d2c7f76be9167976"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#c0daef1d307ace963959896a3db64d75">_isSupported</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine if this target pass is supported on the current rendering device.  <a href="#c0daef1d307ace963959896a3db64d75"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#69dbfadbe08123a3654988001408fe1f">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parent technique.  <a href="#69dbfadbe08123a3654988001408fe1f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#7ebe674aa91f64ac46c0a69e6fad1152">mType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of composition pass.  <a href="#7ebe674aa91f64ac46c0a69e6fad1152"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#a84ac5b3a9a4d54da2d129a4567577c1">mIdentifier</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Identifier for this pass.  <a href="#a84ac5b3a9a4d54da2d129a4567577c1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#c8d59078bba510dca3b7796f63b2ba45">mMaterial</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> used for rendering.  <a href="#c8d59078bba510dca3b7796f63b2ba45"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#c149ba2f99beef55ca6144228a978244">mFirstRenderQueue</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">[first,last] render queue to render this pass (in case of PT_RENDERSCENE)  <a href="#c149ba2f99beef55ca6144228a978244"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#9e6a2138976e30de8edd13abeb5350b7">mLastRenderQueue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#3b282ac94558d8642b090a6d0f36749b">mClearBuffers</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear buffers (in case of PT_CLEAR).  <a href="#3b282ac94558d8642b090a6d0f36749b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#bf96127effdcc34e974d67c93e8cc087">mClearColour</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear colour (in case of PT_CLEAR).  <a href="#bf96127effdcc34e974d67c93e8cc087"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#f0424e3195c69bb730051295932146bf">mClearDepth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear depth (in case of PT_CLEAR).  <a href="#f0424e3195c69bb730051295932146bf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#307f1133d7e5941e1542f8a21a3079b9">mClearStencil</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear stencil value (in case of PT_CLEAR).  <a href="#307f1133d7e5941e1542f8a21a3079b9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#ce416944a7a1f3b1d5db8e5c9bce80c2">mInputs</a> [OGRE_MAX_TEXTURE_LAYERS]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inputs (for material used for rendering the quad) An empty string signifies that no input is used.  <a href="#ce416944a7a1f3b1d5db8e5c9bce80c2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#8b348a1876efc360bf602fd7f7ea0029">mStencilCheck</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stencil operation parameters.  <a href="#8b348a1876efc360bf602fd7f7ea0029"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#d49e026bd0e97265aedc4f701269ceca">mStencilFunc</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#06bfb33608f605cc216ce88342f5f2ca">mStencilRefValue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#50d4b6015739493ab4ebeb51232761a4">mStencilMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#7da3a87b2029d343068fd903efef2549">mStencilFailOp</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#325047bcd0a7f8ce097ddb4aee685e81">mStencilDepthFailOp</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#eb86ae7589d68c40a953c13d52b43115">mStencilPassOp</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html#13aadcaf16c50cd38ca95dc7a161fe4d">mStencilTwoSidedOperation</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Object representing one pass or operation in a composition sequence. 
<p>
This provides a method to conviently interleave <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> commands between Render Queues. 
<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00041">41</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="a20bff864069127a799a3593df0146aa"></a><!-- doxytag: member="Ogre::CompositionPass::PassType" ref="a20bff864069127a799a3593df0146aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">Ogre::CompositionPass::PassType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Enumeration that enumerates the various composition pass types. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="a20bff864069127a799a3593df0146aaa7d4ed28ab9cdd43e85a715bd4e068fc"></a><!-- doxytag: member="PT_CLEAR" ref="a20bff864069127a799a3593df0146aaa7d4ed28ab9cdd43e85a715bd4e068fc" args="" -->PT_CLEAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a20bff864069127a799a3593df0146aa43301dad285fba17915d7867665597ab"></a><!-- doxytag: member="PT_STENCIL" ref="a20bff864069127a799a3593df0146aa43301dad285fba17915d7867665597ab" args="" -->PT_STENCIL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a20bff864069127a799a3593df0146aac8aa60611671e1b8867c1a30775ba84c"></a><!-- doxytag: member="PT_RENDERSCENE" ref="a20bff864069127a799a3593df0146aac8aa60611671e1b8867c1a30775ba84c" args="" -->PT_RENDERSCENE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="a20bff864069127a799a3593df0146aa39b1d2658f5c73b04755e428316ea366"></a><!-- doxytag: member="PT_RENDERQUAD" ref="a20bff864069127a799a3593df0146aa39b1d2658f5c73b04755e428316ea366" args="" -->PT_RENDERQUAD</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00049">49</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5b5540cb8dc10175dc30c3947032013c"></a><!-- doxytag: member="Ogre::CompositionPass::CompositionPass" ref="5b5540cb8dc10175dc30c3947032013c" args="(CompositionTargetPass *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionPass::CompositionPass           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b8fc137845790b360d57056621cd1061"></a><!-- doxytag: member="Ogre::CompositionPass::~CompositionPass" ref="b8fc137845790b360d57056621cd1061" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionPass::~CompositionPass           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8b0e3dcfccbdcc9672a96ae6dc2c0123"></a><!-- doxytag: member="Ogre::CompositionPass::setType" ref="8b0e3dcfccbdcc9672a96ae6dc2c0123" args="(PassType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setType           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a>&nbsp;</td>
          <td class="paramname"> <em>type</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the type of composition pass. 
<p>

</div>
</div><p>
<a class="anchor" name="ee39093cea27c4fba2dd56dc57b44fa7"></a><!-- doxytag: member="Ogre::CompositionPass::getType" ref="ee39093cea27c4fba2dd56dc57b44fa7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a> Ogre::CompositionPass::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the type of composition pass. 
<p>

</div>
</div><p>
<a class="anchor" name="56bb1d899a43195712944398e2d1bc65"></a><!-- doxytag: member="Ogre::CompositionPass::setIdentifier" ref="56bb1d899a43195712944398e2d1bc65" args="(uint32 id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setIdentifier           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set an identifier for this pass. 
<p>
This identifier can be used to "listen in" on this pass with an <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html" title="Provides an interface to &quot;listen in&quot; to to render system operations executed...">CompositorInstance::Listener</a>. 
</div>
</div><p>
<a class="anchor" name="1d4644512ed6fffd5f5ea6573ea1c25f"></a><!-- doxytag: member="Ogre::CompositionPass::getIdentifier" ref="1d4644512ed6fffd5f5ea6573ea1c25f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionPass::getIdentifier           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the identifier for this pass. 
<p>

</div>
</div><p>
<a class="anchor" name="21721f49c3b10e36560adff1e563740f"></a><!-- doxytag: member="Ogre::CompositionPass::setMaterial" ref="21721f49c3b10e36560adff1e563740f" args="(const MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setMaterial           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>mat</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the material used by this pass. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="453231b980fc04dd9af9f330feec5236"></a><!-- doxytag: member="Ogre::CompositionPass::setMaterialName" ref="453231b980fc04dd9af9f330feec5236" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setMaterialName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the material used by this pass. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="ee07fa6e3183a5e1fcc28b4977780925"></a><!-- doxytag: member="Ogre::CompositionPass::getMaterial" ref="ee07fa6e3183a5e1fcc28b4977780925" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; Ogre::CompositionPass::getMaterial           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material used by this pass. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="4af9e5a958c5ec3a69f8bd797d4c2563"></a><!-- doxytag: member="Ogre::CompositionPass::setFirstRenderQueue" ref="4af9e5a958c5ec3a69f8bd797d4c2563" args="(uint8 id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setFirstRenderQueue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the first render queue to be rendered in this pass (inclusive). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERSCENE </dd></dl>

</div>
</div><p>
<a class="anchor" name="ef1d1dd6c8f3fb3fd989c74208023d13"></a><!-- doxytag: member="Ogre::CompositionPass::getFirstRenderQueue" ref="ef1d1dd6c8f3fb3fd989c74208023d13" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> Ogre::CompositionPass::getFirstRenderQueue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the first render queue to be rendered in this pass (inclusive). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERSCENE </dd></dl>

</div>
</div><p>
<a class="anchor" name="193d54ee08e19d538576ca300c30c006"></a><!-- doxytag: member="Ogre::CompositionPass::setLastRenderQueue" ref="193d54ee08e19d538576ca300c30c006" args="(uint8 id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setLastRenderQueue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the last render queue to be rendered in this pass (inclusive). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERSCENE </dd></dl>

</div>
</div><p>
<a class="anchor" name="eb2475995883385f37efdfa28fee1792"></a><!-- doxytag: member="Ogre::CompositionPass::getLastRenderQueue" ref="eb2475995883385f37efdfa28fee1792" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> Ogre::CompositionPass::getLastRenderQueue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the last render queue to be rendered in this pass (inclusive). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERSCENE </dd></dl>

</div>
</div><p>
<a class="anchor" name="92187a460af36b8ebe0828cf6d81c277"></a><!-- doxytag: member="Ogre::CompositionPass::setClearBuffers" ref="92187a460af36b8ebe0828cf6d81c277" args="(uint32 val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setClearBuffers           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Would be nice to have for RENDERSCENE: flags to: exclude transparents override material (at least -- color). 
<p>
Set the viewport clear buffers (defaults to FBT_COLOUR|FBT_DEPTH) <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>val</em>&nbsp;</td><td>is a combination of FBT_COLOUR, FBT_DEPTH, FBT_STENCIL. </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="1067961f85a369a5d24614b2c4e264bc"></a><!-- doxytag: member="Ogre::CompositionPass::getClearBuffers" ref="1067961f85a369a5d24614b2c4e264bc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionPass::getClearBuffers           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the viewport clear buffers. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="9ab5aefa39e28d1340c489fcce289da8"></a><!-- doxytag: member="Ogre::CompositionPass::setClearColour" ref="9ab5aefa39e28d1340c489fcce289da8" args="(ColourValue val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setClearColour           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the viewport clear colour (defaults to 0,0,0,0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="e5b0b349ab51c06c224ee49dc74cdf75"></a><!-- doxytag: member="Ogre::CompositionPass::getClearColour" ref="e5b0b349ab51c06c224ee49dc74cdf75" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::CompositionPass::getClearColour           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the viewport clear colour (defaults to 0,0,0,0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="1f0e9945281c6551ab0f21a129270339"></a><!-- doxytag: member="Ogre::CompositionPass::setClearDepth" ref="1f0e9945281c6551ab0f21a129270339" args="(Real depth)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setClearDepth           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>depth</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the viewport clear depth (defaults to 1.0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="89d99d94e657687397f952ebea9576ec"></a><!-- doxytag: member="Ogre::CompositionPass::getClearDepth" ref="89d99d94e657687397f952ebea9576ec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::CompositionPass::getClearDepth           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the viewport clear depth (defaults to 1.0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="d75218db6dbe9993b5486c9c916efc0c"></a><!-- doxytag: member="Ogre::CompositionPass::setClearStencil" ref="d75218db6dbe9993b5486c9c916efc0c" args="(uint32 value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setClearStencil           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the viewport clear stencil value (defaults to 0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="debc56c1f9c0e5b17b05563b975aba49"></a><!-- doxytag: member="Ogre::CompositionPass::getClearStencil" ref="debc56c1f9c0e5b17b05563b975aba49" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionPass::getClearStencil           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the viewport clear stencil value (defaults to 0). 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is CLEAR </dd></dl>

</div>
</div><p>
<a class="anchor" name="f0f6a55176e7c69fda820a5d22a50104"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilCheck" ref="f0f6a55176e7c69fda820a5d22a50104" args="(bool value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilCheck           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil check on or off. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="aedd029c6389840546c43a2911e24869"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilCheck" ref="aedd029c6389840546c43a2911e24869" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionPass::getStencilCheck           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil check enable. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="7d60b3d8f6e47891d8e5373bea31d5bd"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilFunc" ref="7d60b3d8f6e47891d8e5373bea31d5bd" args="(CompareFunction value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilFunc           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil compare function. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="27ccb6dfe7c8e67d70c3117f1856ed9b"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilFunc" ref="27ccb6dfe7c8e67d70c3117f1856ed9b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> Ogre::CompositionPass::getStencilFunc           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil compare function. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="1b8cc0c3221bfbc751328cda98c8aff7"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilRefValue" ref="1b8cc0c3221bfbc751328cda98c8aff7" args="(uint32 value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilRefValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil reference value. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="36ae61fc908e904da5bf9062383d342d"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilRefValue" ref="36ae61fc908e904da5bf9062383d342d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionPass::getStencilRefValue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil reference value. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="052e16876215e11e03bcba8657faf917"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilMask" ref="052e16876215e11e03bcba8657faf917" args="(uint32 value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil mask. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="0f1708287d35be21ab1784087a5eb414"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilMask" ref="0f1708287d35be21ab1784087a5eb414" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionPass::getStencilMask           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil mask. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="d7afd96369d5093b5eb2123f2befed58"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilFailOp" ref="d7afd96369d5093b5eb2123f2befed58" args="(StencilOperation value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilFailOp           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil fail operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="71a08ba57c6a493ac2e616485bda904f"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilFailOp" ref="71a08ba57c6a493ac2e616485bda904f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> Ogre::CompositionPass::getStencilFailOp           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil fail operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="e3c196d705b7bf120e0d888b4867dda4"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilDepthFailOp" ref="e3c196d705b7bf120e0d888b4867dda4" args="(StencilOperation value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilDepthFailOp           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil depth fail operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="6038ae034a33d903d4e05b60cb19930a"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilDepthFailOp" ref="6038ae034a33d903d4e05b60cb19930a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> Ogre::CompositionPass::getStencilDepthFailOp           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil depth fail operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="ff4417885952905fc8230cef47a36756"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilPassOp" ref="ff4417885952905fc8230cef47a36756" args="(StencilOperation value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilPassOp           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set stencil pass operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="e2ef53d2fa33e3aaf06ed1f8e1e30e17"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilPassOp" ref="e2ef53d2fa33e3aaf06ed1f8e1e30e17" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> Ogre::CompositionPass::getStencilPassOp           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get stencil pass operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="fa3d6c2f5f8e6ba85b7844d2bf433a5f"></a><!-- doxytag: member="Ogre::CompositionPass::setStencilTwoSidedOperation" ref="fa3d6c2f5f8e6ba85b7844d2bf433a5f" args="(bool value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setStencilTwoSidedOperation           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set two sided stencil operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="c4524c140a443b407a462cbb75737389"></a><!-- doxytag: member="Ogre::CompositionPass::getStencilTwoSidedOperation" ref="c4524c140a443b407a462cbb75737389" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionPass::getStencilTwoSidedOperation           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get two sided stencil operation. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is STENCIL </dd></dl>

</div>
</div><p>
<a class="anchor" name="63f9b80b6e05285919b587ab359ed466"></a><!-- doxytag: member="Ogre::CompositionPass::setInput" ref="63f9b80b6e05285919b587ab359ed466" args="(size_t id, const String &amp;input=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::setInput           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>input</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set an input local texture. 
<p>
An empty string clears the input. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>id</em>&nbsp;</td><td>Input to set. Must be in 0..OGRE_MAX_TEXTURE_LAYERS-1 </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>input</em>&nbsp;</td><td>Which texture to bind to this input. An empty string clears the input. </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="650f9d72d57d3ca53016326ab11b01e5"></a><!-- doxytag: member="Ogre::CompositionPass::getInput" ref="650f9d72d57d3ca53016326ab11b01e5" args="(size_t id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::CompositionPass::getInput           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the value of an input. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>id</em>&nbsp;</td><td>Input to get. Must be in 0..OGRE_MAX_TEXTURE_LAYERS-1. </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="93eefcf727f9967c05b69e84123a2591"></a><!-- doxytag: member="Ogre::CompositionPass::getNumInputs" ref="93eefcf727f9967c05b69e84123a2591" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::CompositionPass::getNumInputs           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of inputs used. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="05cbca68fbc408dbf755612cfb72707d"></a><!-- doxytag: member="Ogre::CompositionPass::clearAllInputs" ref="05cbca68fbc408dbf755612cfb72707d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionPass::clearAllInputs           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear all inputs. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="5815c0e9e598fe58d2c7f76be9167976"></a><!-- doxytag: member="Ogre::CompositionPass::getParent" ref="5815c0e9e598fe58d2c7f76be9167976" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* Ogre::CompositionPass::getParent           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get parent object. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>applies when PassType is RENDERQUAD </dd></dl>

</div>
</div><p>
<a class="anchor" name="c0daef1d307ace963959896a3db64d75"></a><!-- doxytag: member="Ogre::CompositionPass::_isSupported" ref="c0daef1d307ace963959896a3db64d75" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionPass::_isSupported           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine if this target pass is supported on the current rendering device. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="69dbfadbe08123a3654988001408fe1f"></a><!-- doxytag: member="Ogre::CompositionPass::mParent" ref="69dbfadbe08123a3654988001408fe1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionPass.html#69dbfadbe08123a3654988001408fe1f">Ogre::CompositionPass::mParent</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parent technique. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00237">237</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7ebe674aa91f64ac46c0a69e6fad1152"></a><!-- doxytag: member="Ogre::CompositionPass::mType" ref="7ebe674aa91f64ac46c0a69e6fad1152" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html#a20bff864069127a799a3593df0146aa">PassType</a> <a class="el" href="classOgre_1_1CompositionPass.html#7ebe674aa91f64ac46c0a69e6fad1152">Ogre::CompositionPass::mType</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Type of composition pass. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00239">239</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a84ac5b3a9a4d54da2d129a4567577c1"></a><!-- doxytag: member="Ogre::CompositionPass::mIdentifier" ref="a84ac5b3a9a4d54da2d129a4567577c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionPass.html#a84ac5b3a9a4d54da2d129a4567577c1">Ogre::CompositionPass::mIdentifier</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Identifier for this pass. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00241">241</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8d59078bba510dca3b7796f63b2ba45"></a><!-- doxytag: member="Ogre::CompositionPass::mMaterial" ref="c8d59078bba510dca3b7796f63b2ba45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1CompositionPass.html#c8d59078bba510dca3b7796f63b2ba45">Ogre::CompositionPass::mMaterial</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> used for rendering. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00243">243</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c149ba2f99beef55ca6144228a978244"></a><!-- doxytag: member="Ogre::CompositionPass::mFirstRenderQueue" ref="c149ba2f99beef55ca6144228a978244" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1CompositionPass.html#c149ba2f99beef55ca6144228a978244">Ogre::CompositionPass::mFirstRenderQueue</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
[first,last] render queue to render this pass (in case of PT_RENDERSCENE) 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00245">245</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9e6a2138976e30de8edd13abeb5350b7"></a><!-- doxytag: member="Ogre::CompositionPass::mLastRenderQueue" ref="9e6a2138976e30de8edd13abeb5350b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1CompositionPass.html#9e6a2138976e30de8edd13abeb5350b7">Ogre::CompositionPass::mLastRenderQueue</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00246">246</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3b282ac94558d8642b090a6d0f36749b"></a><!-- doxytag: member="Ogre::CompositionPass::mClearBuffers" ref="3b282ac94558d8642b090a6d0f36749b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionPass.html#3b282ac94558d8642b090a6d0f36749b">Ogre::CompositionPass::mClearBuffers</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear buffers (in case of PT_CLEAR). 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00248">248</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf96127effdcc34e974d67c93e8cc087"></a><!-- doxytag: member="Ogre::CompositionPass::mClearColour" ref="bf96127effdcc34e974d67c93e8cc087" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1CompositionPass.html#bf96127effdcc34e974d67c93e8cc087">Ogre::CompositionPass::mClearColour</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear colour (in case of PT_CLEAR). 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00250">250</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f0424e3195c69bb730051295932146bf"></a><!-- doxytag: member="Ogre::CompositionPass::mClearDepth" ref="f0424e3195c69bb730051295932146bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1CompositionPass.html#f0424e3195c69bb730051295932146bf">Ogre::CompositionPass::mClearDepth</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear depth (in case of PT_CLEAR). 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00252">252</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="307f1133d7e5941e1542f8a21a3079b9"></a><!-- doxytag: member="Ogre::CompositionPass::mClearStencil" ref="307f1133d7e5941e1542f8a21a3079b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionPass.html#307f1133d7e5941e1542f8a21a3079b9">Ogre::CompositionPass::mClearStencil</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear stencil value (in case of PT_CLEAR). 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00254">254</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce416944a7a1f3b1d5db8e5c9bce80c2"></a><!-- doxytag: member="Ogre::CompositionPass::mInputs" ref="ce416944a7a1f3b1d5db8e5c9bce80c2" args="[OGRE_MAX_TEXTURE_LAYERS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionPass.html#ce416944a7a1f3b1d5db8e5c9bce80c2">Ogre::CompositionPass::mInputs</a>[OGRE_MAX_TEXTURE_LAYERS]<code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Inputs (for material used for rendering the quad) An empty string signifies that no input is used. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00257">257</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8b348a1876efc360bf602fd7f7ea0029"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilCheck" ref="8b348a1876efc360bf602fd7f7ea0029" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionPass.html#8b348a1876efc360bf602fd7f7ea0029">Ogre::CompositionPass::mStencilCheck</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stencil operation parameters. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00259">259</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d49e026bd0e97265aedc4f701269ceca"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilFunc" ref="d49e026bd0e97265aedc4f701269ceca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">CompareFunction</a> <a class="el" href="classOgre_1_1CompositionPass.html#d49e026bd0e97265aedc4f701269ceca">Ogre::CompositionPass::mStencilFunc</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00260">260</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="06bfb33608f605cc216ce88342f5f2ca"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilRefValue" ref="06bfb33608f605cc216ce88342f5f2ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionPass.html#06bfb33608f605cc216ce88342f5f2ca">Ogre::CompositionPass::mStencilRefValue</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00261">261</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50d4b6015739493ab4ebeb51232761a4"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilMask" ref="50d4b6015739493ab4ebeb51232761a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionPass.html#50d4b6015739493ab4ebeb51232761a4">Ogre::CompositionPass::mStencilMask</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00262">262</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7da3a87b2029d343068fd903efef2549"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilFailOp" ref="7da3a87b2029d343068fd903efef2549" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> <a class="el" href="classOgre_1_1CompositionPass.html#7da3a87b2029d343068fd903efef2549">Ogre::CompositionPass::mStencilFailOp</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00263">263</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="325047bcd0a7f8ce097ddb4aee685e81"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilDepthFailOp" ref="325047bcd0a7f8ce097ddb4aee685e81" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> <a class="el" href="classOgre_1_1CompositionPass.html#325047bcd0a7f8ce097ddb4aee685e81">Ogre::CompositionPass::mStencilDepthFailOp</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00264">264</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eb86ae7589d68c40a953c13d52b43115"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilPassOp" ref="eb86ae7589d68c40a953c13d52b43115" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">StencilOperation</a> <a class="el" href="classOgre_1_1CompositionPass.html#eb86ae7589d68c40a953c13d52b43115">Ogre::CompositionPass::mStencilPassOp</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00265">265</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="13aadcaf16c50cd38ca95dc7a161fe4d"></a><!-- doxytag: member="Ogre::CompositionPass::mStencilTwoSidedOperation" ref="13aadcaf16c50cd38ca95dc7a161fe4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionPass.html#13aadcaf16c50cd38ca95dc7a161fe4d">Ogre::CompositionPass::mStencilTwoSidedOperation</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h-source.html#l00266">266</a> of file <a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionPass_8h-source.html">OgreCompositionPass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
